"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CHART_ID_REGEXP = exports.CHART_ID_PATTERN = exports.CHART_ID_ALLOWED_CHARS = void 0;
/**
 * Notice that '_' and '-' are among the charecters a chart id is allowed to contain. We don't
 * generate chart ids with these special characters anymore, but we used to, so we must keep
 * supporting such charts.
 */
exports.CHART_ID_ALLOWED_CHARS = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz_-';
function escapeRegExpChars(chars) {
    return chars.replace(/-/g, '\\-');
}
exports.CHART_ID_PATTERN = `[${escapeRegExpChars(exports.CHART_ID_ALLOWED_CHARS)}]{5}`;
exports.CHART_ID_REGEXP = new RegExp(`^${exports.CHART_ID_PATTERN}$`);
