import n from 'numeral';
import { Column, DateColumnFormatterConfig, Metadata } from './chartTypes.js';
/**
 * Creates a column formatter
 *
 * @exports columnFormatter
 * @kind function
 *
 * @description
 * This function returns a formatting function based, given a column object,
 * a metadata object and the axis column name.
 *
 * @param numeral - Numeral.js instance
 * @param column - the date column object
 * @param metadata - the full metadata object
 * @param axis - the column name of the axis
 * @returns formatting function
 */
export declare function columnFormatter(numeral: typeof n, column: Column, metadata: Metadata, axis: string, options?: DateColumnFormatterConfig): {
    (d: Date, verbose?: boolean | undefined): string | number | Date;
    <T>(d: T, verbose?: boolean | undefined): T;
} | ((val: number, full?: boolean | undefined, round?: boolean | undefined) => string | number) | undefined;
