/**
 * computes all combinations of input elements
 *
 * @exports combinations
 * @kind function
 *
 * @example
 * // returns [['a','b'], ['a'], ['b']]
 * combinations(['a', 'b']);
 *
 * @example
 * // returns [[1,2,3], [1,2], [1,3], [1], [2,3], [2], [3]]
 * combinations([1,2,3])

 * @param input -- array of input objects, could be numbers, strings, etc
 * @returns -- array of combinations
 */
export default function combinations<T>(input: T[]): T[][];
