"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_fetch_1 = __importDefault(require("node-fetch"));
const httpReq_js_1 = __importDefault(require("./httpReq.cjs"));
function httpReq(path, options = {}) {
    return (0, httpReq_js_1.default)(path, Object.assign(Object.assign({}, options), { fetch: node_fetch_1.default, disableCSRF: true }));
}
httpReq.get = httpReqVerb('GET');
httpReq.patch = httpReqVerb('PATCH');
httpReq.put = httpReqVerb('PUT');
httpReq.post = httpReqVerb('POST');
httpReq.head = httpReqVerb('HEAD');
httpReq.delete = httpReqVerb('DELETE');
function httpReqVerb(method) {
    return (path, options) => {
        if (options && options.method) {
            throw new Error(`Setting option.method is not allowed in httpReq.${method.toLowerCase()}()`);
        }
        return httpReq(path, Object.assign(Object.assign({}, options), { method }));
    };
}
exports.default = httpReq;
