/**
 * Removes all HTML tags from given `input` string, except the ones in the `allowedTagsInput` list.
 *
 * @exports purifyHtml
 * @kind function
 *
 * @param {string} input - dirty HTML input
 * @param {string[]} [allowedTagsInput] - list of allowed tags; see DEFAULT_ALLOWED for the default value
 * @return {string} - the cleaned HTML output
 */
type PurifyHTML = (input: string, allowedTagsInput?: string | string[]) => string;
/**
 * Generates an instance of purifyHtml with DOMPurify already loaded.
 *
 * @exports purifyHtmlFactory
 * @kind function
 *
 * @param DOMPurify - DOMPurify instance
 */
declare function purifyHtmlFactory(DOMPurify: typeof import('isomorphic-dompurify')): PurifyHTML;
export default purifyHtmlFactory;
