"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const tailLength_js_1 = __importDefault(require("./tailLength.cjs"));
/**
 * Automatically converts a numeric value to a string. this is better
 * than the default number to string conversion in JS which sometimes
 * produces ugly strings like "3.999999998"
 *
 * @exports toFixed
 * @kind function
 *
 * @example
 * import toFixed from '@datawrapper/shared/toFixed';
 * // returns '3.1'
 * toFixed(3.100001)
 *
 * @param {number} value
 * @returns {string}
 */
function toFixed(value) {
    return (+value).toFixed((0, tailLength_js_1.default)(value));
}
exports.default = toFixed;
