"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pxToUnit = exports.unitToPx = exports.pxToIn = exports.inToPx = exports.UNIT_PX = exports.UNIT_MM = exports.UNIT_IN = void 0;
exports.UNIT_IN = 'in';
exports.UNIT_MM = 'mm';
exports.UNIT_PX = 'px';
const DEFAULT_DPI = 96;
function mmToIn(mm) {
    return mm / 25.4;
}
function inToMm(inch) {
    return inch * 25.4;
}
function inToPx(inch, dpi = DEFAULT_DPI) {
    return inch * dpi;
}
exports.inToPx = inToPx;
function pxToIn(px, dpi = DEFAULT_DPI) {
    return px / dpi;
}
exports.pxToIn = pxToIn;
function unitToPx(value, unit, dpi = DEFAULT_DPI) {
    switch (unit) {
        case exports.UNIT_PX:
            return value;
        case exports.UNIT_IN:
            return inToPx(value, dpi);
        case exports.UNIT_MM:
            return inToPx(mmToIn(value), dpi);
        default:
            throw new Error('Invalid unit');
    }
}
exports.unitToPx = unitToPx;
function pxToUnit(px, unit, dpi = DEFAULT_DPI) {
    switch (unit) {
        case exports.UNIT_PX:
            return px;
        case exports.UNIT_IN:
            return pxToIn(px, dpi);
        case exports.UNIT_MM:
            return inToMm(pxToIn(px, dpi));
        default:
            throw new Error('Invalid unit');
    }
}
exports.pxToUnit = pxToUnit;
