import { BrowserWindow } from './browserGlobals.js';
declare global {
    interface Window extends BrowserWindow {
    }
}
/**
 * tracks a custom event in Matomo
 *
 *
 * @param {string} category - the event category
 * @param {string} action - the event action
 * @param {string} [name] - the event name
 * @param {string|number} [value] - the event value, optional
 */
export declare function trackEvent(category: string, action: string, name?: string, value?: string | number): void;
/**
 * tracks a custom page view in Matomo. Useful for single page
 * apps in Datawrapper, such as the locator maps UI. The page title
 * and URL are automatically detected using the window object.
 *
 * @param {number|string} userId - optional user id of authenticated user
 * @param {string} teamId - optional team id of page context
 */
export declare function trackPageView(userId: number | string, teamId: string): void;
