/**
 * converts a column name to a variable name that can be used in the custom
 * column editor. variable names can't contain spaces and special characters
 * and are also converted to lowercase.
 *
 * @exports columnNameToVariable
 * @kind function
 *
 * @example
 * import columnNameToVariable from '@datawrapper/shared/columnNameToVariable';
 *
 * columnNameToVariable('GDP (per cap.)') // gdp_per_cap
 *
 * @param {string} name -- name of the column
 * @returns {string} -- variable name
 */
export default function columnNameToVariable(name: string): string;
