import { ColumnTypeExpanded, DateColumnFormatterConfig } from './chartTypes.js';
type Formatter = {
    (d: Date, verbose?: boolean): Date | string | number;
    <T>(d: T, verbose?: boolean): T;
};
/**
 * Creates a date formatter based on a dw date column object
 *
 * @exports dateColumnFormatter
 * @kind function
 *
 * @description
 * This function returns a date formatting function based on a
 * dw column object. The implementation is backwards-compatible with
 * our old Globalize-based date formatting, but uses dayjs under the
 * hood.
 *
 * @param {object} column - the date column object
 * @returns {function}
 */
export default function dateColumnFormatter(column: ColumnTypeExpanded, { normalizeDatesToEn }?: DateColumnFormatterConfig): Formatter | undefined;
export {};
