import fetch from 'node-fetch';
import httpReqClient from './httpReq.js';
function httpReq(path, options = {}) {
    return httpReqClient(path, Object.assign(Object.assign({}, options), { fetch: fetch, disableCSRF: true }));
}
httpReq.get = httpReqVerb('GET');
httpReq.patch = httpReqVerb('PATCH');
httpReq.put = httpReqVerb('PUT');
httpReq.post = httpReqVerb('POST');
httpReq.head = httpReqVerb('HEAD');
httpReq.delete = httpReqVerb('DELETE');
function httpReqVerb(method) {
    return (path, options) => {
        if (options && options.method) {
            throw new Error(`Setting option.method is not allowed in httpReq.${method.toLowerCase()}()`);
        }
        return httpReq(path, Object.assign(Object.assign({}, options), { method }));
    };
}
export default httpReq;
