import n from 'numeral';
import { NumberColumnFormatterConfig } from './chartTypes.js';
/**
 * Creates a number formatter based on a number column configuration
 *
 * @exports numberColumnFormatter
 * @kind function
 *
 * @description
 * This function returns a number formatting function based on a
 * column configuration object stored in metadata.data.column-format.
 * The implementation is backwards-compatible with our old
 * Globalize-based number formatting, but uses numeral under the hood.
 *
 * @param {object} numeral - Numeral.js instance
 * @param {object} config - the column configuration from metadata
 * @returns {function}
 */
export default function numberColumnFormatter(numeral: typeof n, config: NumberColumnFormatterConfig): (val: number, full?: boolean, round?: boolean) => string | number;
