import { Typography } from './themeTypes.js';
/**
 * Function that returns a promise, that resolves when all fonts,
 * specified in fontsJSON and typographyJSON have been loaded.
 *
 * @exports observeFonts
 * @kind function
 *
 * @param {Object|Array} fontsJSON
 * @param {Object} typographyJSON
 * @returns {Promise}
 */
export default function observeFonts(fontsJSON: Record<string, {
    type?: string;
}> | string[], typographyJSON: Typography): Promise<void[]>;
