import { GetValueByPath, Paths } from './objectPaths.js';
/**
 * safely set object properties without throwing nasty
 * `cannot access X of undefined` errors if a property along the
 * way doesn't exist.
 *
 * @exports set
 * @kind function
 *
 * @param object - the object which properties you want to acccess
 * @param {String|String[]} key - path to the property as a dot-separated string or array of strings
 * @param {*} value - the value to be set
 *
 * @returns the value
 */
export default function set<TObj, TPath extends Paths<TObj>>(object: TObj, key: TPath, value: GetValueByPath<TObj, TPath>): boolean;
