/**
 * Shorten a string by removing characters from the middle
 *
 * @exports truncate
 * @kind function
 *
 * @example
 * import truncate from '@datawrapper/shared/truncate';
 * // returns 'This is a…tring'
 * truncate('This is a very very long string')
 *
 * @param {string} str
 * @param {number} start - characters to keep at start of string
 * @param {number} end - characters to keep at end off string
 * @returns {string}
 */
declare function truncate(str: string, start?: number, end?: number): string;
declare function truncate<T>(str: T): T;
export default truncate;
